sailpoint.tools

## Class GeneralException

- java.lang.Object
- - java.lang.Throwable
  - - sailpoint.tools.GeneralException

All Implemented Interfaces:
  java.io.Serializable

    public abstract class GeneralException
    extends java.lang.Throwable

See Also:
  Serialized Form

### Field Summary

Fields
`static boolean` `_breakpointEnable`
`static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`GeneralException()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `breakpoint()`
`abstract void` `checkBreakpoint()`
`abstract void` `enableBreakpoint(boolean b)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

#### _breakpointEnable

    public static final boolean _breakpointEnable

See Also:
  Constant Field Values

### Constructor Detail

#### GeneralException

    public GeneralException()

### Method Detail

#### enableBreakpoint

    public abstract void enableBreakpoint(boolean b)

#### checkBreakpoint

    public abstract void checkBreakpoint()

#### breakpoint

    public abstract void breakpoint()